/*
 *  CALC      Provides a calculator that opens on the active screen when
 *            you press a specific key sequence.  Otherwise, the program
 *            waits quitely in the background.
 *
 *              Copyright 1989 by Davide P. Cervone.
 *  You may use this code, provided this copyright notice is kept intact.
 */

#define PROGRAM     "Calc-Handler"


/*  The screen title in cMain.c must be set manually if these are changed */

#define MAJVERS     3
#define MINVERS     1
#define MINLOADVER  2

extern struct IntuitionBase *IntuitionBase;
extern struct GfxBase *GfxBase;
extern struct DOSBase *DOSBase;

extern struct Screen *CalcScreen;
extern struct Window *CalcWindow;
extern struct RastPort *rp;

extern LONG CalcSMask;
#ifndef SWINDOWS
extern LONG CalcCMask;
#endif
extern struct Task *CalcTask;
