/*
 *  CALC      Provides a calculator that opens on the active screen when
 *            you press a specific key sequence.  Otherwise, the program
 *            waits quitely in the background.
 *
 *              Copyright 1989 by Davide P. Cervone.
 *  You may use this code, provided this copyright notice is kept intact.
 */

#include <exec/types.h>

#define UPWIDTH       24
#define UPHEIGHT      10
#define UPDEPTH       2
#define UPWORDS       2

USHORT UpFrontData[UPDEPTH][UPHEIGHT*UPWORDS] =
{
  {
    0xFFFF, 0xFF00,
    0xC000, 0x0300,
    0xC7FF, 0x8300,
    0xC7FF, 0x8300,
    0xC7FF, 0xF300,
    0xC7FF, 0xF300,
    0xC7FF, 0xF300,
    0xC07F, 0xF300,
    0xC000, 0x0300,
    0xFFFF, 0xFF00,
  },
  {
    0x0000, 0x0100,
    0x3FFF, 0xFF00,
    0x3FFF, 0xFF00,
    0x3FFF, 0xFF00,
    0x3F80, 0x0F00,
    0x3F80, 0x0F00,
    0x3F80, 0x0F00,
    0x3F80, 0x0F00,
    0x3FFF, 0xFF00,
    0x7FFF, 0xFF00,
  },
};

#define DOWNWIDTH       24
#define DOWNHEIGHT      10
#define DOWNDEPTH       2
#define DOWNWORDS       2

USHORT DownBackData[DOWNDEPTH][DOWNHEIGHT*DOWNWORDS] =
{
  {
    0xFFFF, 0xFF00,
    0xC000, 0x0300,
    0xC7FF, 0x8300,
    0xC7FF, 0x8300,
    0xC7FF, 0xF300,
    0xC7FF, 0xF300,
    0xC7FF, 0xF300,
    0xC07F, 0xF300,
    0xC000, 0x0300,
    0xFFFF, 0xFF00,
  },
  {
    0x0000, 0x0100,
    0x3FFF, 0xFF00,
    0x3800, 0x7F00,
    0x3800, 0x7F00,
    0x387F, 0xFF00,
    0x387F, 0xFF00,
    0x387F, 0xFF00,
    0x3FFF, 0xFF00,
    0x3FFF, 0xFF00,
    0x7FFF, 0xFF00,
  },
};

#define CLOSEWIDTH       21
#define CLOSEHEIGHT      10
#define CLOSEDEPTH       2
#define CLOSEWORDS       2

USHORT CloseData[CLOSEDEPTH][CLOSEHEIGHT*CLOSEWORDS] =
{
  {
    0xFFFF, 0xF800,
    0xC000, 0x1800,
    0xCFFF, 0x9800,
    0xCC01, 0x9800,
    0xCC01, 0x9800,
    0xCC01, 0x9800,
    0xCC01, 0x9800,
    0xCFFF, 0x9800,
    0xC000, 0x1800,
    0xFFFF, 0xF800,
  },
  {
    0x0000, 0x0800,
    0x3FFF, 0xF800,
    0x3FFF, 0x7800,
    0x3FFE, 0x7800,
    0x3FFE, 0x7800,
    0x3FFE, 0x7800,
    0x3FFE, 0x7800,
    0x3800, 0x7800,
    0x3FFF, 0xF800,
    0x7FFF, 0xF800,
  },
};
